[bug#39028,5/7] gnu: python-cryptography: Update to 2.8
diff mbox series

Message ID 20200113074655.11012-5-ldb@leibniz-psychology.org
State New
Headers show
Series
  • [bug#39028,1/7] gnu: Add python-shouldbe
Related show

Checks

Context Check Description
cbaines/applying patch success Successfully applied

Commit Message

Lars-Dominik Braun Jan. 13, 2020, 7:46 a.m. UTC
* gnu/packages/python-crypto.scm (python-cryptography): Update to 2.8
(python-cryptography-vectors): Update to 2.8
---
 gnu/packages/python-crypto.scm | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Comments

宋文武 Jan. 20, 2020, 1:09 p.m. UTC | #1
Hello Braun, I have pushed the previous 4 patches into master, thank you!

Lars-Dominik Braun <ldb@leibniz-psychology.org> writes:

> * gnu/packages/python-crypto.scm (python-cryptography): Update to 2.8
> (python-cryptography-vectors): Update to 2.8

This is not a small change for me, as 'guix refresh -l python-cryptography' says:
  Building the following 167 packages would ensure 367 dependent packages are rebuilt...

And I'm not sure about disable tests in python-pyopenssl (in the next
patch), maybe we should update it to 19.1.0.

So I leave this and remain patches for others to pick up, TIA!
Lars-Dominik Braun Jan. 21, 2020, 10:08 a.m. UTC | #2
Hi,

> Hello Braun, I have pushed the previous 4 patches into master, thank you!
thanks.

> This is not a small change for me, as 'guix refresh -l python-cryptography' says:
>   Building the following 167 packages would ensure 367 dependent packages are rebuilt...
True, I did not check that, my bad. Would it be acceptable to package an older
version of asyncssh compatible with python-cryptography 2.7?

> And I'm not sure about disable tests in python-pyopenssl (in the next
> patch), maybe we should update it to 19.1.0.
Nope, does not fix these three testcases for me.

Lars

Patch
diff mbox series

diff --git a/gnu/packages/python-crypto.scm b/gnu/packages/python-crypto.scm
index 43a0d95ddc..0322e1691e 100644
--- a/gnu/packages/python-crypto.scm
+++ b/gnu/packages/python-crypto.scm
@@ -361,14 +361,14 @@  is used by the Requests library to verify HTTPS requests.")
 (define-public python-cryptography-vectors
   (package
     (name "python-cryptography-vectors")
-    (version "2.7")
+    (version "2.8")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "cryptography_vectors" version))
        (sha256
         (base32
-         "1g38zw90510azyfrj6mxbslx2gp9yrnv5dac0w2819k9ssdznbgi"))))
+         "05pi3shqz0fgvy0d5yazza67bbnam8fkrx2ayrrclgkaqms23lvc"))))
     (build-system python-build-system)
     (home-page "https://github.com/pyca/cryptography")
     (synopsis "Test vectors for the cryptography package")
@@ -383,14 +383,14 @@  is used by the Requests library to verify HTTPS requests.")
 (define-public python-cryptography
   (package
     (name "python-cryptography")
-    (version "2.7")
+    (version "2.8")
     (source
      (origin
        (method url-fetch)
        (uri (pypi-uri "cryptography" version))
        (sha256
         (base32
-         "1inlnr36kl36551c9rcad99jmhk81v33by3glkadwdcgmi17fd76"))))
+         "0l8nhw14npknncxdnp7n4hpmjyscly6g7fbivyxkjwvlv071zniw"))))
     (build-system python-build-system)
     (inputs
      `(("openssl" ,openssl)))